<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <!--  requires param
        - patient (net.ihe.gazelle.simulator.pam.model.Patient): patient to display -->
    <div class="form-horizontal">
        <a4j:region id="editEmailregion">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['gazelle.simulator.pam.Email']}</ui:define>
                <ui:param name="id" value="emailinput"/>
                <h:inputText styleClass="form-control" id="emailinput" value="#{patient.email}"/>
            </s:decorate>
        </a4j:region>
        <s:div id="editPhoneNumberregion">
            <h4>
                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.PhoneNumbers']}"/>
                <a4j:commandLink actionListener="#{managedBean.createNewPhoneNumber()}"
                                 render="editPhoneNumberregion">
                    <s:span styleClass="gzl-icon-plus"/>
                </a4j:commandLink>
            </h4>
            <div class="form-horizontal">
                <a4j:repeat value="#{patient.phoneNumbers}" var="pn">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">
                            <h:outputText value="#{pn.type.label} "/>
                            <s:span styleClass="fa fa-star" rendered="#{pn.principal}" title="Principal phone number"/>
                        </ui:define>
                        <ui:param name="id" value="phoneinput"/>
                        <h:inputText styleClass="form-control" id="phoneinput" value="#{pn.value}"/>
                    </s:decorate>
                </a4j:repeat>
            </div>
            <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                        rendered="#{managedBean.newPhoneNumber != null}">
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.patientmanager.NewPhoneNumber']}</ui:define>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulator.common.Value']}</ui:define>
                    <ui:param name="id" value="pnValue"/>
                    <h:inputText styleClass="form-control" id="pnValue" value="#{managedBean.newPhoneNumber.value}"/>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.Use']}</ui:define>
                    <ui:param name="id" value="pnUse"/>
                    <h:selectOneMenu styleClass="form-control" id="pnUse" value="#{managedBean.newPhoneNumber.type}">
                        <f:selectItems value="#{managedBean.getPhoneTypes()}"/>
                    </h:selectOneMenu>
                    <s:span styleClass="fa fa-star" rendered="#{pn.principal}" title="Principal phone number"/>
                </s:decorate>
                <s:decorate template="/layout/form/_checkbox.xhtml">
                    <h:selectBooleanCheckbox value="#{managedBean.newPhoneNumber.principal}"/>
                    #{messages['net.ihe.gazelle.patientmanager.PrincipalPhoneNumber']}
                </s:decorate>
                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['gazelle.pam.Done']}"
                                       styleClass="gzl-btn-green" actionListener="#{managedBean.addNewPhoneNumber()}"
                                       render="editPhoneNumberregion"/>
                    <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}" byPassUpdates="true" immediate="true"
                                       styleClass="gzl-btn-red" actionListener="#{managedBean.setNewPhoneNumber(null)}"
                                       render="editPhoneNumberregion"/>
                </ui:define>
            </s:decorate>
        </s:div>
        <a4j:region id="editAccountNumberregion">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['gazelle.patientmanager.AccountNumber']}</ui:define>
                <ui:param name="id" value="accountinput"/>
                <h:inputText styleClass="form-control" id="accountinput" value="#{patient.accountNumber}" size="80"/>
            </s:decorate>
        </a4j:region>
        <!-- this field was initialy used in the context of KSA -->
        <a4j:region id="editBloodGroup" rendered="#{false}">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['gazelle.pam.BloodGroup']}</ui:define>
                <ui:param name="id" value="bloodinput"/>
                <h:selectOneMenu value="#{patient.bloodGroup}" id="bloodinput" styleClass="form-control">
                    <f:selectItems value="#{patient.getBloodGroups()}"/>
                </h:selectOneMenu>
            </s:decorate>
        </a4j:region>
        <a4j:region id="editVIP">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.VIPIndicator']}</ui:define>
                <ui:param name="id" value="vipinput"/>
                <h:selectOneMenu value="#{patient.vipIndicator}" id="vipinput" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('HL70099')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </a4j:region>
        <!-- birth place name -->
        <a4j:region id="editBPN">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['gazelle.PAMSimulator.BirthPlaceName']}</ui:define>
                <ui:param name="id" value="bpnInput"/>
                <h:inputText value="#{patient.birthPlaceName}" styleClass="form-control" id="bpnInput"/>
            </s:decorate>
        </a4j:region>
        <dl class="dl-horizontal">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.simulator.pam.UUID']}</ui:define>
                <h:outputText
                        value="#{patient.uuid}"/>
            </ui:decorate>
        </dl>
    </div>
</ui:composition>
